OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.TextureBarrier

Contents

- Extension Support
- Functions

Description

Synopsis

- glGetARBTextureBarrier :: MonadIO m => m Bool
- gl_ARB_texture_barrier :: Bool
- glTextureBarrier :: MonadIO m => m ()

# Extension Support

glGetARBTextureBarrier :: MonadIO m => m Bool

Is the ARB_texture_barrier extension supported?

gl_ARB_texture_barrier :: Bool

Is the ARB_texture_barrier extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBTextureBarrier` in those cases instead.

# Functions

glTextureBarrier :: MonadIO m => m ()

Manual page for OpenGL 4.x.